Pb avec aptitude et apt-get

Le
Patrice OLIVER
Bonjour,

Je ne peux plus installer quoi que ce soit avec aptitude / apt-get car
il y e eu une erreur de dépendances sur une précédente installation,
et il cherche vainement à le résoudre avant d'installer quoi que ce
soit d'autre. Qui plus est, je ne souhaite pas reprendre
l'installation en qui a échoué pour pb de dépendances.

Comment faire ?

Merci.
Pat.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to debian-user-french-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses Page 1 / 2
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Yannick Beynet
Le #9655491
essaie de supprimer le package qui pose problème (dpkg --purge <nom du
package>).

Le 23/06/08, Patrice OLIVER
Bonjour,

Je ne peux plus installer quoi que ce soit avec aptitude / apt-get car
il y e eu une erreur de dépendances sur une précédente installation ,
et il cherche vainement à le résoudre avant d'installer quoi que ce
soit d'autre. Qui plus est, je ne souhaite pas reprendre
l'installation en qui a échoué pour pb de dépendances.

Comment faire ?

Merci.
Pat.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact .org





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Patrice OLIVER
Le #9655471
Je viens d'essayer tout cela et je rencontre encore des problèmes.
J'ai tenté un apt-get -f update :
sudo apt-get -f install
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plu s
nécessaires :
libavutil1d libpostproc1d libavformat1d libavcodec1d
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
libavcodec51 libavformat52 libavutil49
Les NOUVEAUX paquets suivants seront installés :
libavcodec51 libavformat52 libavutil49
0 mis à jour, 3 nouvellement installés, 0 à enlever et 223 non mis à jour.
3 partiellement installés ou enlevés.
Il est nécessaire de prendre 0o/2014ko dans les archives.
Après cette opération, 4760ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? O
(Lecture de la base de données... 150145 fichiers et répertoires déj à
installés.)
Dépaquetage de libavutil49 (à partir de
.../libavutil49_0.svn20080206-8_i386.deb) ...
dpkg : erreur de traitement de
/var/cache/apt/archives/libavutil49_0.svn20080206-8_i386.deb
(--unpack) :
tentative de remplacement de « /usr/lib/libavutil.so.49.6.0 », qui
appartient aussi au paquet libavutilcvs49
Dépaquetage de libavcodec51 (à partir de
.../libavcodec51_0.svn20080206-8_i386.deb) ...
dpkg : erreur de traitement de
/var/cache/apt/archives/libavcodec51_0.svn20080206-8_i386.deb
(--unpack) :
tentative de remplacement de « /usr/lib/libavcodec.so.51 », qui
appartient aussi au paquet libavcodeccvs51
Dépaquetage de libavformat52 (à partir de
.../libavformat52_0.svn20080206-8_i386.deb) ...
dpkg : erreur de traitement de
/var/cache/apt/archives/libavformat52_0.svn20080206-8_i386.deb
(--unpack) :
tentative de remplacement de « /usr/lib/libavformat.so.52 », qui
appartient aussi au paquet libavformatcvs52
Des erreurs ont été rencontrées pendant l'exécution :
/var/cache/apt/archives/libavutil49_0.svn20080206-8_i386.deb
/var/cache/apt/archives/libavcodec51_0.svn20080206-8_i386.deb
/var/cache/apt/archives/libavformat52_0.svn20080206-8_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Apparemment, certaines libraires appartiennent à plusieurs paquets ...

Quid ?

Le 23 juin 2008 09:06, Yannick Beynet
essaie de supprimer le package qui pose problème (dpkg --purge <nom du
package>).

Le 23/06/08, Patrice OLIVER
Bonjour,

Je ne peux plus installer quoi que ce soit avec aptitude / apt-get car
il y e eu une erreur de dépendances sur une précédente installatio n,
et il cherche vainement à le résoudre avant d'installer quoi que ce
soit d'autre. Qui plus est, je ne souhaite pas reprendre
l'installation en qui a échoué pour pb de dépendances.

Comment faire ?

Merci.
Pat.

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact n.org





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact .org





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
steve
Le #9655451
Le 2008-06-23, à 08:22:02 +0200, Patrice OLIVER () a écrit :

Bonjour,



Salut,

Je ne peux plus installer quoi que ce soit avec aptitude / apt-get car
il y e eu une erreur de dépendances sur une précédente installation,
et il cherche vainement à le résoudre avant d'installer quoi que ce
soit d'autre.



Idem chez moi.

Qui plus est, je ne souhaite pas reprendre
l'installation en qui a échoué pour pb de dépendances.

Comment faire ?



Je ne sais pas vu que je suis dans la même situation. J'ai aptitude
version 0.4.11.4. Quand je rentre dans aptitude, j'ai un groupe nommé
"Paquets automatiquement gelés dans leur état actuel (7)" "afin d'éviter
des casses de dépendances". Ensuite en allant sur les paquets listés,
j'ai un truc bizarre :

* cupsys-bsd remplace manpages-fr (< 0.9.5-1) [INDISPONIBLE]

ce qui est pour le moins bizarre.

Des explications ?

Steve

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Jean-Christophe
Le #9655441
Patrice OLIVER a écrit :
Je viens d'essayer tout cela et je rencontre encore des problèmes.
J'ai tenté un apt-get -f update :
/var/cache/apt/archives/libavutil49_0.svn20080206-8_i386.deb
/var/cache/apt/archives/libavcodec51_0.svn20080206-8_i386.deb
/var/cache/apt/archives/libavformat52_0.svn20080206-8_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Apparemment, certaines libraires appartiennent à plusieurs paquets ...



cf : Re: [contourné (mais pas résolu)] mise à jour de vlc: probleme divx
Si tu utilises les paquets debian-multimedia y 'a effectivement
un probleme ... cf http://www.debian-multimedia.org/

Guy



Voilà, donc si tu utilises les dépôts debian-multimédia, le problème est
logique, sinon je sais pas

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Charles Plessy
Le #9655421
Bonjour,

Le Mon, Jun 23, 2008 at 09:54:31AM +0200, steve a écrit :

* cupsys-bsd remplace manpages-fr (< 0.9.5-1) [INDISPONIBLE]

ce qui est pour le moins bizarre.

Des explications ?



Charte Debian section 7.6:

http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

Le champ « Replaces » sert aussi à autoriser un paquet à écraser les
fichiers d'un autres. Probablement qu'ils se battaient en duel pour la
même page de manuel.

D'ailleurs, tout ceci date de 2003 et manpages-fr est disponible dans
une version supérieure au moins depuis Sarge.

La source du problème de mise à jour est donc à chercher ailleurs :(

Bonne journée,

--
Charles Plessy
Tsurumi, Kanagawa, Japon

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
J
Le #9655401
Le lundi 23 juin 2008 à 08:22 +0200, Patrice OLIVER a écrit :
Bonjour,

Je ne peux plus installer quoi que ce soit avec aptitude / apt-get car
il y e eu une erreur de dépendances sur une précédente installation,
et il cherche vainement à le résoudre avant d'installer quoi que ce
soit d'autre. Qui plus est, je ne souhaite pas reprendre
l'installation en qui a échoué pour pb de dépendances.

Comment faire ?

Merci.
Pat.



Trouvé aussi je crois dans la faq Debian

Supprimer un paquet coincé (erreur 1 ou 2 lors de la purge d'un paquet)

symptome:
~~~~~~~~~
dpkg --purge linux-ubuntu-modules-2.6.22-10-generic
(Lecture de la base de données... 219029 fichiers et répertoires déjà
installés.)
Suppression de linux-ubuntu-modules-2.6.22-10-generic ...
Purge des fichiers de configuration de
linux-ubuntu-modules-2.6.22-10-generic ...
FATAL: Could not open '/boot/System.map-2.6.22-10-generic': No such file
or directory
update-initramfs: Generating /boot/initrd.img-2.6.22-10-generic
Cannot find /lib/modules/2.6.22-10-generic
update-initramfs: failed for /boot/initrd.img-2.6.22-10-generic
dpkg : erreur de traitement de linux-ubuntu-modules-2.6.22-10-generic
(--purge) :
le sous-processus post-removal script a retourné une erreur de sortie
d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
linux-ubuntu-modules-2.6.22-10-generic

action corrective:
~~~~~~~~~~~~~~~~~
rm /var/lib/dpkg/info/linux-ubuntu-modules-2.6.22-10-generic.postrm


--
Jérôme aranha.fr

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
steve
Le #9655381
Le 2008-06-23, à 17:25:34 +0900, Charles Plessy () a écrit :

Lignes : 38

Bonjour,

Le Mon, Jun 23, 2008 at 09:54:31AM +0200, steve a écrit :
>
> * cupsys-bsd remplace manpages-fr (< 0.9.5-1) [INDISPONIBLE]
>
> ce qui est pour le moins bizarre.
>
> Des explications ?

Charte Debian section 7.6:

http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

Le champ « Replaces » sert aussi à autoriser un paquet à écraser les
fichiers d'un autres. Probablement qu'ils se battaient en duel pour la
même page de manuel.

D'ailleurs, tout ceci date de 2003 et manpages-fr est disponible dans
une version supérieure au moins depuis Sarge.

La source du problème de mise à jour est donc à chercher ailleurs :(



Ok merci pour l'explication. Je poursuis ma quête alleurs ;-)

Bonne journée,



De même !

--
Charles Plessy
Tsurumi, Kanagawa, Japon

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Patrice OLIVER
Le #9655311
Je vraiment besoin d'un coup de patte.
Je ne peux plus rien installer qui vienne des dépôts. Je suis réduit à
récupérer des sources, et à les compiler ... Dans ce cas, autant
revenir à archLinux. On sait exactement en choisissant cette distro à
quoi on s'attend.
;


Le 23 juin 2008 10:36, steve
Le 2008-06-23, à 17:25:34 +0900, Charles Plessy () a écrit :

Lignes : 38

Bonjour,

Le Mon, Jun 23, 2008 at 09:54:31AM +0200, steve a Ã(c)crit :
>
> * cupsys-bsd remplace manpages-fr (< 0.9.5-1) [INDISPONIBLE]
>
> ce qui est pour le moins bizarre.
>
> Des explications ?

Charte Debian section 7.6:

http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces

Le champ « Replaces » sert aussi à autoriser un paquet à écras er les
fichiers d'un autres. Probablement qu'ils se battaient en duel pour la
même page de manuel.

D'ailleurs, tout ceci date de 2003 et manpages-fr est disponible dans
une version supérieure au moins depuis Sarge.

La source du problème de mise à jour est donc à chercher ailleurs :(



Ok merci pour l'explication. Je poursuis ma quête alleurs ;-)

Bonne journée,



De même !

--
Charles Plessy
Tsurumi, Kanagawa, Japon

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact n.org




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact .org





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
steve
Le #9655291
Le 2008-06-23, à 14:06:32 +0200, Patrice OLIVER () a écrit :

Lignes : 82

Je vraiment besoin d'un coup de patte.



Désolé Patrice, je ne vois pas trop comment t'aider, chez moi je peux
encore installer des trucs

Je ne peux plus rien installer qui vienne des dépôts. Je suis réduit à
récupérer des sources, et à les compiler ... Dans ce cas, autant
revenir à archLinux. On sait exactement en choisissant cette distro à
quoi on s'attend.
;



Mauvaise langue va ;-)


Le 23 juin 2008 10:36, steve > Le 2008-06-23, à 17:25:34 +0900, Charles Plessy () a écrit :
>
>> Lignes : 38
>>
>> Bonjour,
>>
>> Le Mon, Jun 23, 2008 at 09:54:31AM +0200, steve a Ã(c)crit :
>> >
>> > * cupsys-bsd remplace manpages-fr (< 0.9.5-1) [INDISPONIBLE]
>> >
>> > ce qui est pour le moins bizarre.
>> >
>> > Des explications ?
>>
>> Charte Debian section 7.6:
>>
>> http://www.debian.org/doc/debian-policy/ch-relationships.html#s-replaces
>>
>> Le champ « Replaces » sert aussi à autoriser un paquet à écraser les
>> fichiers d'un autres. Probablement qu'ils se battaient en duel pour la
>> même page de manuel.
>>
>> D'ailleurs, tout ceci date de 2003 et manpages-fr est disponible dans
>> une version supérieure au moins depuis Sarge.
>>
>> La source du problème de mise à jour est donc à chercher ailleurs :(
>
> Ok merci pour l'explication. Je poursuis ma quête alleurs ;-)
>
>> Bonne journée,
>
> De même !
>
>> --
>> Charles Plessy
>> Tsurumi, Kanagawa, Japon
>>
>> --
>> Lisez la FAQ de la liste avant de poser une question :
>> http://wiki.debian.org/DebFrFrenchLists
>> Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
>> "Reply-To:"
>>
>> To UNSUBSCRIBE, email to
>> with a subject of "unsubscribe". Trouble? Contact
>>
>
> --
> Lisez la FAQ de la liste avant de poser une question :
> http://wiki.debian.org/DebFrFrenchLists
> Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
> "Reply-To:"
>
> To UNSUBSCRIBE, email to
> with a subject of "unsubscribe". Trouble? Contact
>
>

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Patrice OLIVER
Le #9655281
Tant pis, je me rabat sur les sources.

Le 23 juin 2008 14:14, steve
Le 2008-06-23, à 14:06:32 +0200, Patrice OLIVER () a écrit :

Lignes : 82

Je vraiment besoin d'un coup de patte.



Désolé Patrice, je ne vois pas trop comment t'aider, chez moi je peux
encore installer des trucs

Je ne peux plus rien installer qui vienne des dépôts. Je suis rédu it à
récupérer des sources, et à les compiler ... Dans ce cas, autant
revenir à archLinux. On sait exactement en choisissant cette distro à
quoi on s'attend.
;



Mauvaise langue va ;-)


Le 23 juin 2008 10:36, steve > Le 2008-06-23, à 17:25:34 +0900, Charles Plessy () a écrit :
>
>> Lignes : 38
>>
>> Bonjour,
>>
>> Le Mon, Jun 23, 2008 at 09:54:31AM +0200, steve a Ã(c)crit :
>> >
>> > * cupsys-bsd remplace manpages-fr (< 0.9.5-1) [INDISPONIBLE]
>> >
>> > ce qui est pour le moins bizarre.
>> >
>> > Des explications ?
>>
>> Charte Debian section 7.6:
>>
>> http://www.debian.org/doc/debian-policy/ch-relationships.html#s-repla ces
>>
>> Le champ « Replaces » sert aussi à autoriser un paquet à éc raser les
>> fichiers d'un autres. Probablement qu'ils se battaient en duel pour l a
>> même page de manuel.
>>
>> D'ailleurs, tout ceci date de 2003 et manpages-fr est disponible dans
>> une version supérieure au moins depuis Sarge.
>>
>> La source du problème de mise à jour est donc à chercher ailleu rs :(
>
> Ok merci pour l'explication. Je poursuis ma quête alleurs ;-)
>
>> Bonne journée,
>
> De même !
>
>> --
>> Charles Plessy
>> Tsurumi, Kanagawa, Japon
>>
>> --
>> Lisez la FAQ de la liste avant de poser une question :
>> http://wiki.debian.org/DebFrFrenchLists
>> Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
>> "Reply-To:"
>>
>> To UNSUBSCRIBE, email to
>> with a subject of "unsubscribe". Trouble? Contact bian.org
>>
>
> --
> Lisez la FAQ de la liste avant de poser une question :
> http://wiki.debian.org/DebFrFrenchLists
> Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
> "Reply-To:"
>
> To UNSUBSCRIBE, email to
> with a subject of "unsubscribe". Trouble? Contact ian.org
>
>

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact n.org




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact .org





--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/DebFrFrenchLists
Vous pouvez aussi ajouter le mot ``spam'' dans vos champs "From" et
"Reply-To:"

To UNSUBSCRIBE, email to
with a subject of "unsubscribe". Trouble? Contact
Publicité
Poster une réponse
Anonyme